Package uk.ac.starlink.vo

## Class SchemaMeta

- java.lang.Object
- - uk.ac.starlink.vo.SchemaMeta

-     public class SchemaMeta
      extends java.lang.Object

  Represents schema metadata from a TableSet document. The scalar members are intended to be set by classes in this package near construction time. The tables member may or may not be populated, depending on the source of the instance; check the documentation for the relevant factory class.
  Since:
    6 Feb 2015
  Author:
    Mark Taylor
  See Also:
    IVOA VODataService Recommendation

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SchemaMeta()` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SchemaMeta` | `createDummySchema​(java.lang.String name)` | Returns a new schema with no tables and the given name.
    `java.lang.String` | `getDescription()` | Returns this schema's description.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getExtras()` | Returns a map of additional non-standard metadata items for this schema.
    `java.lang.String` | `getName()` | Returns this schema's name.
    `TableMeta[]` | `getTables()` | Returns a list of the tables contained in this schema.
    `java.lang.String` | `getTitle()` | Returns this schema's human-readable title.
    `java.lang.String` | `getUtype()` | Returns this schema's utype.
    `void` | `setTables​(TableMeta[] tables)` | Sets the tables contained in this schema.
    `java.lang.String` | `toString()` | Returns this schema's name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaMeta

          protected SchemaMeta()

      Constructor.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns this schema's name.
      Returns:
        name

    - #### getTitle

          public java.lang.String getTitle()

      Returns this schema's human-readable title. Note, this is supplied by VODataService, but not by TAP_SCHEMA.
      Returns:
        human-readable title

    - #### getDescription

          public java.lang.String getDescription()

      Returns this schema's description.
      Returns:
        text description

    - #### getUtype

          public java.lang.String getUtype()

      Returns this schema's utype.
      Returns:
        utype string

    - #### getExtras

          public java.util.Map<java.lang.String,​java.lang.Object> getExtras()

      Returns a map of additional non-standard metadata items for this schema.
      Returns:
        extras map

    - #### getTables

          public TableMeta[] getTables()

      Returns a list of the tables contained in this schema. If the result is null, nothing is known about the tables, and the list may need to be explicitly set.
      Returns:
        tables contained in this schema, or null

    - #### setTables

          public void setTables​(TableMeta[] tables)

      Sets the tables contained in this schema.
      Parameters:
        `tables` - table list

    - #### toString

          public java.lang.String toString()

      Returns this schema's name.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        name

    - #### createDummySchema

          public static SchemaMeta createDummySchema​(java.lang.String name)

      Returns a new schema with no tables and the given name.
      Parameters:
        `name` - name of new schema
      Returns:
        new empty schema